:root{
    --primary-color: hsl(214, 84%, 56%);
    --text-color: hsl(0, 0%, 31%);
    --bg-color: hsl(0, 0%, 90%);
    --bg-card-color: hsl(0, 0%, 98%);
    --border-radius:4em;
    --transition:color 0.15, background-color 0.2s ease-in-out;
    --skills-bar-length: 0%;
}

*{
    box-sizing: border-box;
}

a{
    color:var(--primary-color) ;
    text-decoration: none;
}

img{
    max-width: 100%;
}

body{
    margin: 0;
    background-color: var(--bg-color);
    color: var(--text-color);
    transition: var(--transition);
    font-family: sans-serif;
}

body.dark {
    --text-color: hsl(0,0%, 83%);
    --bg-color: hsl(0, 0%, 15%);
    --bg-card-color: hsl(0, 0%, 20%);
}

.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 75px;
    padding: 0 1.5em;
    background-color: var(--bg-card-color);
    transition: var(--transition);
}

.switches {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.toggle-theme {
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.toggle-theme_icon {
    margin-right: 0.5em;
    width: 20px;
}

.toggle-theme_text {
    font-size: 0.8rem;
}

.flags{
    width: 75px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.flags__item{
    width: 30px;
}

.flags__img{
    display: block;
    cursor: pointer;
}

.colors {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 20px;
    width: 100px;
}

.colors_item {
    width: 20px;
    height: 20px;
    border: 1px solid var(--text-color);
    background-color: var(--primary-color);
    cursor: pointer;
}

.colors_item--blue {
    --primary-color: hsl(214, 84%, 56%);
}

.colors_item--green {
    --primary-color: hsl(150, 84%, 56%);
}

.colors_item--purple {
    --primary-color: hsl(276, 84%, 56%);
}

.colors_item--orange {
    --primary-color: hsl(46, 84%, 56%);
}

.title {
    text-align: center;
    color:var(--primary-color);
    transition: var(--transition);
}

.main{
    display: grid;
    padding: 2em;
    gap: 0.5em;
}

@media screen and (min-width:720px) {
.main {
   grid-template-columns: min-content 1fr; 
}
}

.column{
    display: grid;
    gap: 0.5em;
}

@media screen and (min-width:720px) {
    .column--rigth {
       grid-template-columns: repeat(3,1fr); 
       grid-template-rows: repeat(3,min-content);
       align-items: start;
    }
    }

.card {
  padding: 1em;
  background-color: var(--bg-card-color); 
  border-radius: var(--border-radius); 
}

.card__image-container{
    min-width: 320px;
    border-radius: var(--border-radius);
    overflow: hidden;
}

.card__header{
    padding: 1em 0;
}

.card__title{
    margin-bottom: 1em;
    font-size: 1.2rem;
}

.card__subtitle{
    font-size: .9rem;
    opacity: .8;
}

.card__link{
    margin-bottom: .5em;
}

.card__text{
   font-size: .9rem;
    line-height: 1.6;
}

@media screen and (min-width: 760px) {
.card--project{
    display: grid;
    grid-template-columns: min-content 1fr;
    grid-column: 1 / -1;
}
}
.skills{
    padding: 1em 0;
}

.skills__header{
    display: flex;
    justify-content: space-between;
    width: 175px;
    margin-left: auto;
}

.skills__tech{
    margin: 0;
    font-size: 0.8rem;
}

.skills__item{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: .5em;
}

.skills__bar,
.skills__bar::after{
    position: relative;
    width: 175px;
    height: 8px;
    background-color: #888;
    border-radius: var(--border-radius);
    overflow: hidden;
}

.skills__bar::after{
    content: '';
    position: absolute;
    left: -175px;
    background-color: var(--primary-color);
    transition: var(--transition);
    animation: skills-bar-fill 2s ease-in-out forwards;
}

.skills__bar--10::after{
   --skill-bar-length:10%;
}

.skills__bar--20::after{
    --skill-bar-length:20%;
 }

 .skills__bar--30::after{
    --skill-bar-length:30%;
 }

 .skills__bar--40::after{
    --skill-bar-length:40%;
 }

 .skills__bar--50::after{
    --skill-bar-length:50%;
 }

 .skills__bar--60::after{
    --skill-bar-length:60%;
 }

 .skills__bar--70::after{
    --skill-bar-length:70%;
 }

 .skills__bar--80::after{
    --skill-bar-length:80%;
 }

 .skills__bar--90::after{
    --skill-bar-length:90%;
 }

.experience{
    display: flex;
    align-items: start;
    margin-bottom: 1em;
    padding: 1em;
    border: 2px solid var(--primary-color);
    border-radius: var(--border-radius);
    transition: var(--transition);
}

.experience__image{
    max-width: 15%;
    margin-right: 1em;
}

.experience__time{
    font-size: .8rem;
    margin-bottom: .5em;
}

.experience__job{
    margin: 0;
    margin-bottom: .5em;
    color: var(--primary-color);
    transition: var(--transition);
}

.experience__description{
    font-size: .8rem;
    margin-bottom: 1.5em;
}

.project{
    position: relative;
}

@media screen and (min-width: 760px) {
.project {
    margin-left: 2em;
 }
}
 
.project__tags {
    display: flex;
    justify-content: space-between;
    margin: .5em 0;
    font-size: 0.6rem;
    width: 275px;
}

@media screen and (min-width: 760px) {
    .project__tags {
     width: 325px;
     font-size: 0.8rem;
    }
}  

.project__tags .project__tag {
    margin-right: 5px; /* Ajusta el valor según sea necesario */
  }

.project__tags{
    padding: 0.4em 0.8em;
    border-radius: var(--border-radius);
    background-color: var(--primary-color);
    color: var(--bg-color);
}

.buttons{
    display: flex;
    justify-content: space-between;
    width: 225px;
}

.button{
    width: 100px;
    line-height: 2.5;
    text-align: center;
    border-radius: var(--border-radius);
    transition: var(--transition);
}

.button--primary{
    background-color: var(--primary-color);
    color: var(--bg-color);
}

.button--ghost{
  background-color: transparent;
  border: 1px solid var(--primary-color);
  color: var(--primary-color);
}

.icon{
    margin-right: 1em;
}

.no-margin{
   margin: 0;
}

@keyframes skills-bar-fill {
    to{
       transform: translateX(var(--skill-bar-length)); 
    }
}